Bug 333792 - Crash when renaming category
Summary: Crash when renaming category
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Setup-Views (show other bugs)
Version: 3.5.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-04-23 21:04 UTC by Will Woodhull
Modified: 2019-08-11 14:18 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 6.3.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Will Woodhull 2014-04-23 21:04:52 UTC
Application: digikam (3.5.0)
KDE Platform Version: 4.13.0
Qt Version: 4.8.6
Operating System: Linux 3.13.0-24-lowlatency i686
Distribution: Ubuntu 14.04 LTS

-- Information about the crash:
- I had a tag category named "Unknown" that I had applied to several photos. I opened its properties and changed the name to "Strangers". Crash happened on pressing Enter

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xace37900 (LWP 32472))]

Thread 12 (Thread 0xace04b40 (LWP 32473)):
#0  0xb77d3424 in __kernel_vsyscall ()
#1  0xb4bd57ab in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xada35442 in ?? () from /lib/i386-linux-gnu/libusb-1.0.so.0
#3  0xb32d4f70 in start_thread (arg=0xace04b40) at pthread_create.c:312
#4  0xb4be470e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 11 (Thread 0xaa2a0b40 (LWP 32474)):
#0  0xb77d3424 in __kernel_vsyscall ()
#1  0xb4bd57ab in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2f1a20b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2f0b3e8 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2f0b76b in g_main_loop_run () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xadc5be9a in ?? () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#6  0xb2f319ca in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb32d4f70 in start_thread (arg=0xaa2a0b40) at pthread_create.c:312
#8  0xb4be470e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 10 (Thread 0xa98ffb40 (LWP 32475)):
#0  0xb77d3424 in __kernel_vsyscall ()
#1  0xb4bd57ab in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2f1a20b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2f0b3e8 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2f0b528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2f0b57e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb2f319ca in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb32d4f70 in start_thread (arg=0xa98ffb40) at pthread_create.c:312
#8  0xb4be470e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 9 (Thread 0xa7af4b40 (LWP 32477)):
#0  0xb77d3424 in __kernel_vsyscall ()
#1  0xb32d8d4b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4bf18ec in __pthread_cond_wait (cond=0x88d02a0, mutex=0x88d0288) at forward.c:149
#3  0xb4ed80f5 in wait (time=4294967295, this=0x88d0288) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0x88d01fc, mutex=mutex@entry=0x88d01f8, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0x0820dd94 in Digikam::ScanController::run (this=0x88ba960) at /build/buildd/digikam-3.5.0/core/digikam/database/scancontroller.cpp:725
#6  0xb4ed7b6f in QThreadPrivate::start (arg=0x88ba960) at thread/qthread_unix.cpp:349
#7  0xb32d4f70 in start_thread (arg=0xa7af4b40) at pthread_create.c:312
#8  0xb4be470e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 8 (Thread 0xa70ffb40 (LWP 32478)):
#0  0xb2f4fd2e in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2f50138 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2f0a99e in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2f0b2df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2f0b528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb501995f in QEventDispatcherGlib::processEvents (this=0xa6700468, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0xb4fe8823 in QEventLoop::processEvents (this=this@entry=0xa70ff098, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4fe8b49 in QEventLoop::exec (this=this@entry=0xa70ff098, flags=...) at kernel/qeventloop.cpp:204
#8  0xb4ed523d in QThread::exec (this=this@entry=0x88d1948) at thread/qthread.cpp:537
#9  0xb4fc8c44 in QInotifyFileSystemWatcherEngine::run (this=0x88d1948) at io/qfilesystemwatcher_inotify.cpp:265
#10 0xb4ed7b6f in QThreadPrivate::start (arg=0x88d1948) at thread/qthread_unix.cpp:349
#11 0xb32d4f70 in start_thread (arg=0xa70ffb40) at pthread_create.c:312
#12 0xb4be470e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 7 (Thread 0xa66ffb40 (LWP 32480)):
#0  0xb77d3424 in __kernel_vsyscall ()
#1  0xb32d8d4b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:187
#2  0xb4bf18ec in __pthread_cond_wait (cond=0x8b9dea0, mutex=0x8b9de88) at forward.c:149
#3  0xb4ed80f5 in wait (time=4294967295, this=0x8b9de88) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=this@entry=0x89c22e8, mutex=mutex@entry=0x89c22e4, time=time@entry=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb6ae42b4 in Digikam::ParkingThread::run (this=0x89c22d8) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:119
#6  0xb4ed7b6f in QThreadPrivate::start (arg=0x89c22d8) at thread/qthread_unix.cpp:349
#7  0xb32d4f70 in start_thread (arg=0xa66ffb40) at pthread_create.c:312
#8  0xb4be470e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 6 (Thread 0x9a539b40 (LWP 32546)):
#0  0xb2f4fd21 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0xb2f500f8 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#2  0xb2f0b398 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2f0b528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb501995f in QEventDispatcherGlib::processEvents (this=0xa994e5d8, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#5  0xb4fe8823 in QEventLoop::processEvents (this=this@entry=0x9a539098, flags=...) at kernel/qeventloop.cpp:149
#6  0xb4fe8b49 in QEventLoop::exec (this=this@entry=0x9a539098, flags=...) at kernel/qeventloop.cpp:204
#7  0xb6ae3882 in Digikam::WorkerObjectRunnable::run (this=0xab7d660) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#8  0xb4ecaf07 in QThreadPoolThread::run (this=0x9865340) at concurrent/qthreadpool.cpp:108
#9  0xb4ed7b6f in QThreadPrivate::start (arg=0x9865340) at thread/qthread_unix.cpp:349
#10 0xb32d4f70 in start_thread (arg=0x9a539b40) at pthread_create.c:312
#11 0xb4be470e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 5 (Thread 0x9309fb40 (LWP 32552)):
#0  0xb77d3424 in __kernel_vsyscall ()
#1  0xb4bd57ab in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0xb2f1a20b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2f0b3e8 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2f0b528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb501995f in QEventDispatcherGlib::processEvents (this=0xa857c6c0, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#6  0xb4fe8823 in QEventLoop::processEvents (this=this@entry=0x9309f098, flags=...) at kernel/qeventloop.cpp:149
#7  0xb4fe8b49 in QEventLoop::exec (this=this@entry=0x9309f098, flags=...) at kernel/qeventloop.cpp:204
#8  0xb6ae3882 in Digikam::WorkerObjectRunnable::run (this=0x86d8da08) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0xb4ecaf07 in QThreadPoolThread::run (this=0x9b11630) at concurrent/qthreadpool.cpp:108
#10 0xb4ed7b6f in QThreadPrivate::start (arg=0x9b11630) at thread/qthread_unix.cpp:349
#11 0xb32d4f70 in start_thread (arg=0x9309fb40) at pthread_create.c:312
#12 0xb4be470e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 4 (Thread 0x9b53bb40 (LWP 32553)):
#0  __GI___pthread_mutex_lock (mutex=0xa716b050) at ../nptl/pthread_mutex_lock.c:119
#1  0xb4bf1af4 in pthread_mutex_lock (mutex=0xa716b050) at forward.c:192
#2  0xb2f50100 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2f0acc6 in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2f0b37a in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2f0b528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb501995f in QEventDispatcherGlib::processEvents (this=0xa5b75c78, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#7  0xb4fe8823 in QEventLoop::processEvents (this=this@entry=0x9b53b098, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4fe8b49 in QEventLoop::exec (this=this@entry=0x9b53b098, flags=...) at kernel/qeventloop.cpp:204
#9  0xb6ae3882 in Digikam::WorkerObjectRunnable::run (this=0xa99f17e8) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#10 0xb4ecaf07 in QThreadPoolThread::run (this=0x9cef638) at concurrent/qthreadpool.cpp:108
#11 0xb4ed7b6f in QThreadPrivate::start (arg=0x9cef638) at thread/qthread_unix.cpp:349
#12 0xb32d4f70 in start_thread (arg=0x9b53bb40) at pthread_create.c:312
#13 0xb4be470e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 3 (Thread 0x8d894b40 (LWP 32554)):
#0  0xb32d812e in __pthread_mutex_unlock_usercnt (mutex=0xb00e398, decr=1) at pthread_mutex_unlock.c:57
#1  0xb4bf1b34 in pthread_mutex_unlock (mutex=0xb00e398) at forward.c:194
#2  0xb2f50140 in g_mutex_unlock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2f0a99e in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2f0b2df in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2f0b528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb501995f in QEventDispatcherGlib::processEvents (this=0xa413348, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#7  0xb4fe8823 in QEventLoop::processEvents (this=this@entry=0x8d894098, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4fe8b49 in QEventLoop::exec (this=this@entry=0x8d894098, flags=...) at kernel/qeventloop.cpp:204
#9  0xb6ae3882 in Digikam::WorkerObjectRunnable::run (this=0x86d8d9f0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#10 0xb4ecaf07 in QThreadPoolThread::run (this=0x9cf0828) at concurrent/qthreadpool.cpp:108
#11 0xb4ed7b6f in QThreadPrivate::start (arg=0x9cf0828) at thread/qthread_unix.cpp:349
#12 0xb32d4f70 in start_thread (arg=0x8d894b40) at pthread_create.c:312
#13 0xb4be470e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 2 (Thread 0x9ca49b40 (LWP 32555)):
#0  0xb32d718a in __GI___pthread_mutex_lock (mutex=0xa853a040) at ../nptl/pthread_mutex_lock.c:125
#1  0xb4bf1af4 in pthread_mutex_lock (mutex=0xa853a040) at forward.c:192
#2  0xb2f50100 in g_mutex_lock () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb2f0ae0b in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb2f0b37a in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb2f0b528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#6  0xb501995f in QEventDispatcherGlib::processEvents (this=0x8a02f318, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#7  0xb4fe8823 in QEventLoop::processEvents (this=this@entry=0x9ca49098, flags=...) at kernel/qeventloop.cpp:149
#8  0xb4fe8b49 in QEventLoop::exec (this=this@entry=0x9ca49098, flags=...) at kernel/qeventloop.cpp:204
#9  0xb6ae3882 in Digikam::WorkerObjectRunnable::run (this=0xa99f1978) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#10 0xb4ecaf07 in QThreadPoolThread::run (this=0x9cf0b28) at concurrent/qthreadpool.cpp:108
#11 0xb4ed7b6f in QThreadPrivate::start (arg=0x9cf0b28) at thread/qthread_unix.cpp:349
#12 0xb32d4f70 in start_thread (arg=0x9ca49b40) at pthread_create.c:312
#13 0xb4be470e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:129

Thread 1 (Thread 0xace37900 (LWP 32472)):
[KCrash Handler]
#7  0x085de124 in QVectorData::shared_null ()
#8  0xae5bf38e in sqlite3MemCompare (pMem1=pMem1@entry=0xbff68858, pMem2=<optimized out>, pColl=0xa8cfb58) at sqlite3.c:60484
#9  0xae5bf576 in sqlite3VdbeRecordCompare (nKey1=13, pKey1=0xb47dc7b, pPKey2=pPKey2@entry=0xbff68ae8) at sqlite3.c:64162
#10 0xae5d4ba2 in sqlite3BtreeMovetoUnpacked (pCur=0xb4caeb0, pIdxKey=0xbff68ae8, intKey=0, biasRight=0, pRes=0xbff68adc) at sqlite3.c:55077
#11 0xae5ff009 in sqlite3VdbeExec (p=p@entry=0xab7d450) at sqlite3.c:70345
#12 0xae607d8e in sqlite3Step (p=0xab7d450) at sqlite3.c:64828
#13 sqlite3_step (pStmt=0xab7d450) at sqlite3.c:64894
#14 0xa9078e9c in QSQLiteResultPrivate::fetchNext (this=this@entry=0xb26c4b8, values=..., idx=idx@entry=0, initialFetch=initialFetch@entry=true) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:235
#15 0xa9079ebd in QSQLiteResult::exec (this=0x99b23c8) at ../../../sql/drivers/sqlite/qsql_sqlite.cpp:447
#16 0xb777fe60 in QSqlQuery::exec (this=this@entry=0xbff68f78) at kernel/qsqlquery.cpp:949
#17 0xb6a98431 in Digikam::DatabaseCoreBackend::exec (this=0x88dfe08, query=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1414
#18 0xb6a985d5 in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x88dfe08, query=..., boundValue1=..., boundValue2=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1064
#19 0xb6a9955a in Digikam::DatabaseCoreBackend::execQuery (this=this@entry=0x88dfe08, sql=..., boundValue1=..., boundValue2=...) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:1013
#20 0xb6a995be in Digikam::DatabaseCoreBackend::execSql (this=0x88dfe08, sql=..., boundValue1=..., boundValue2=..., values=values@entry=0x0, lastInsertId=lastInsertId@entry=0x0) at /build/buildd/digikam-3.5.0/core/libs/database/core/databasecorebackend.cpp:910
#21 0xb66717c9 in Digikam::AlbumDB::setTagName (this=0x88e25f8, tagID=tagID@entry=26, name=...) at /build/buildd/digikam-3.5.0/core/libs/database/albumdb.cpp:4482
#22 0x081da161 in Digikam::AlbumManager::renameTAlbum (this=0x889adc8, album=album@entry=0x9f33da8, name=..., errMsg=...) at /build/buildd/digikam-3.5.0/core/digikam/album/albummanager.cpp:2416
#23 0x082724d9 in Digikam::TagModificationHelper::slotTagEdit (this=this@entry=0x947d660, t=0x9f33da8) at /build/buildd/digikam-3.5.0/core/digikam/tags/tagmodificationhelper.cpp:169
#24 0x08273678 in Digikam::TagModificationHelper::slotTagEdit (this=this@entry=0x947d660) at /build/buildd/digikam-3.5.0/core/digikam/tags/tagmodificationhelper.cpp:195
#25 0x08273dfc in Digikam::TagModificationHelper::qt_static_metacall (_o=_o@entry=0x947d660, _c=_c@entry=QMetaObject::InvokeMetaMethod, _id=8, _a=0xbff69218) at /build/buildd/digikam-3.5.0/obj-i686-linux-gnu/core/digikam/tagmodificationhelper.moc:84
#26 0xb4fff0f7 in QMetaObject::activate (sender=sender@entry=0xa4d4348, m=0x85df3f8 <QAction::staticMetaObject>, m@entry=0xb5e9f718 <QAction::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0xbff69218) at kernel/qobject.cpp:3539
#27 0xb553e72d in QAction::triggered (this=this@entry=0xa4d4348, _t1=false) at .moc/release-shared/moc_qaction.cpp:276
#28 0xb5540324 in QAction::activate (this=this@entry=0xa4d4348, event=event@entry=QAction::Trigger) at kernel/qaction.cpp:1257
#29 0xb59e4ceb in QMenuPrivate::activateCausedStack (this=0xac5f4f0, causedStack=..., action=0xa4d4348, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1038
#30 0xb59e9d98 in QMenuPrivate::activateAction (this=this@entry=0xac5f4f0, action=action@entry=0xa4d4348, action_e=action_e@entry=QAction::Trigger, self=self@entry=true) at widgets/qmenu.cpp:1130
#31 0xb59edde9 in QMenu::mouseReleaseEvent (this=this@entry=0xbff69de8, e=e@entry=0xbff69844) at widgets/qmenu.cpp:2372
#32 0xb6165dee in KMenu::mouseReleaseEvent (this=0xbff69de8, e=0xbff69844) at ../../kdeui/widgets/kmenu.cpp:464
#33 0xb559f3fa in QWidget::event (this=this@entry=0xbff69de8, event=event@entry=0xbff69844) at kernel/qwidget.cpp:8376
#34 0xb59ee2af in QMenu::event (this=0xbff69de8, e=0xbff69844) at widgets/qmenu.cpp:2481
#35 0xb55457f4 in QApplicationPrivate::notify_helper (this=0x86b9f40, receiver=receiver@entry=0xbff69de8, e=0xbff69844) at kernel/qapplication.cpp:4567
#36 0xb554dea0 in QApplication::notify (this=0xbff6aa98, receiver=receiver@entry=0xbff69de8, e=e@entry=0xbff69844) at kernel/qapplication.cpp:4110
#37 0xb60950a4 in KApplication::notify (this=0xbff6aa98, receiver=0xbff69de8, event=0xbff69844) at ../../kdeui/kernel/kapplication.cpp:311
#38 0xb4fe9e4a in QCoreApplication::notifyInternal (this=0xbff6aa98, receiver=receiver@entry=0xbff69de8, event=event@entry=0xbff69844) at kernel/qcoreapplication.cpp:953
#39 0xb554bb53 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#40 QApplicationPrivate::sendMouseEvent (receiver=0xbff69de8, event=event@entry=0xbff69844, alienWidget=0x0, nativeWidget=nativeWidget@entry=0xbff69de8, buttonDown=buttonDown@entry=0xb5ebcce4 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:3178
#41 0xb55cfba0 in QETWidget::translateMouseEvent (this=0xbff69de8, event=event@entry=0xbff69a6c) at kernel/qapplication_x11.cpp:4568
#42 0xb55ceec5 in QApplication::x11ProcessEvent (this=0xbff6aa98, event=event@entry=0xbff69a6c) at kernel/qapplication_x11.cpp:3627
#43 0xb55fa524 in x11EventSourceDispatch (s=0x86ba898, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#44 0xb2f0b1e3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#45 0xb2f0b468 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#46 0xb2f0b528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#47 0xb501995f in QEventDispatcherGlib::processEvents (this=this@entry=0x862a008, flags=...) at kernel/qeventdispatcher_glib.cpp:436
#48 0xb55fa5de in QGuiEventDispatcherGlib::processEvents (this=0x862a008, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#49 0xb4fe8823 in QEventLoop::processEvents (this=this@entry=0xbff69d28, flags=...) at kernel/qeventloop.cpp:149
#50 0xb4fe8b49 in QEventLoop::exec (this=this@entry=0xbff69d28, flags=...) at kernel/qeventloop.cpp:204
#51 0xb59ece7f in QMenu::exec (this=0xbff69de8, p=..., action=action@entry=0x0) at widgets/qmenu.cpp:2125
#52 0x08283e88 in Digikam::ContextMenuHelper::exec (this=this@entry=0xbff69dcc, pos=..., at=at@entry=0x0) at /build/buildd/digikam-3.5.0/core/digikam/utils/contextmenuhelper.cpp:1110
#53 0x08202489 in Digikam::AbstractAlbumTreeView::contextMenuEvent (this=0x9477848, event=0xbff6a3c0) at /build/buildd/digikam-3.5.0/core/digikam/album/albumtreeview.cpp:1048
#54 0xb559f718 in QWidget::event (this=this@entry=0x9477848, event=event@entry=0xbff6a3c0) at kernel/qwidget.cpp:8554
#55 0xb59a578c in QFrame::event (this=this@entry=0x9477848, e=e@entry=0xbff6a3c0) at widgets/qframe.cpp:557
#56 0xb5a33e48 in QAbstractScrollArea::viewportEvent (this=this@entry=0x9477848, e=e@entry=0xbff6a3c0) at widgets/qabstractscrollarea.cpp:1043
#57 0xb5ad8ddc in QAbstractItemView::viewportEvent (this=this@entry=0x9477848, event=0xbff6a3c0) at itemviews/qabstractitemview.cpp:1644
#58 0xb5b1e606 in QTreeView::viewportEvent (this=0x9477848, event=0xbff6a3c0) at itemviews/qtreeview.cpp:1252
#59 0xb5a340c6 in viewportEvent (event=0xbff6a3c0, this=<optimized out>) at widgets/qabstractscrollarea_p.h:100
#60 QAbstractScrollAreaFilter::eventFilter (this=0x9479c98, o=0x94774d0, e=0xbff6a3c0) at widgets/qabstractscrollarea_p.h:116
#61 0xb4fe9fbe in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0x86b9f40, receiver=receiver@entry=0x94774d0, event=event@entry=0xbff6a3c0) at kernel/qcoreapplication.cpp:1063
#62 0xb55457d1 in QApplicationPrivate::notify_helper (this=0x86b9f40, receiver=receiver@entry=0x94774d0, e=0xbff6a3c0) at kernel/qapplication.cpp:4563
#63 0xb554d9f3 in QApplication::notify (this=0xbff6aa98, receiver=receiver@entry=0x94774d0, e=e@entry=0xbff6a3c0) at kernel/qapplication.cpp:4189
#64 0xb60950a4 in KApplication::notify (this=0xbff6aa98, receiver=0x94774d0, event=0xbff6a3c0) at ../../kdeui/kernel/kapplication.cpp:311
#65 0xb4fe9e4a in QCoreApplication::notifyInternal (this=0xbff6aa98, receiver=receiver@entry=0x94774d0, event=0xbff6a3c0) at kernel/qcoreapplication.cpp:953
#66 0xb55cf809 in sendSpontaneousEvent (event=0xbff6a3c0, receiver=0x94774d0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#67 QETWidget::translateMouseEvent (this=0x94131d8, event=event@entry=0xbff6a60c) at kernel/qapplication_x11.cpp:4639
#68 0xb55ceec5 in QApplication::x11ProcessEvent (this=0xbff6aa98, event=event@entry=0xbff6a60c) at kernel/qapplication_x11.cpp:3627
#69 0xb55fa524 in x11EventSourceDispatch (s=0x86ba898, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#70 0xb2f0b1e3 in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#71 0xb2f0b468 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#72 0xb2f0b528 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#73 0xb501993b in QEventDispatcherGlib::processEvents (this=this@entry=0x862a008, flags=...) at kernel/qeventdispatcher_glib.cpp:434
#74 0xb55fa5de in QGuiEventDispatcherGlib::processEvents (this=0x862a008, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#75 0xb4fe8823 in QEventLoop::processEvents (this=this@entry=0xbff6a8c8, flags=...) at kernel/qeventloop.cpp:149
#76 0xb4fe8b49 in QEventLoop::exec (this=this@entry=0xbff6a8c8, flags=...) at kernel/qeventloop.cpp:204
#77 0xb4fee8fe in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#78 0xb5543a24 in QApplication::exec () at kernel/qapplication.cpp:3828
#79 0x080bc190 in main (argc=1, argv=0xbff6abd4) at /build/buildd/digikam-3.5.0/core/digikam/main/main.cpp:235

Possible duplicates by query: bug 333791, bug 333790, bug 333741, bug 333700, bug 333671.

Reported using DrKonqi
Comment 1 Jekyll Wu 2014-04-24 00:46:18 UTC

*** This bug has been marked as a duplicate of bug 329697 ***
Comment 2 caulier.gilles 2019-08-11 14:18:00 UTC
Fixed with bug #329697